# wxGridRowHeaderRendererDefault Class Reference

`#include </home/work/projects/wx/2.9/wx/interface/wx/grid.h>`

Inheritance diagram for wxGridRowHeaderRendererDefault:
[legend]

## Detailed Description

Default row header renderer.

You may derive from this class if you need to only override one of its methods (i.e. either DrawLabel() or DrawBorder()) but continue to use the default implementation for the other one.

See also:
  wxGridColumnHeaderRendererDefault

Since:
  2.9.1

## Public Member Functions

virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const
| Implement border drawing for the row labels.

List of all members.

## Member Function Documentation

virtual void wxGridRowHeaderRendererDefault::DrawBorder | ( | const wxGrid & | grid,
|  | wxDC & | dc,
|  | wxRect & | rect |
| ) |  |  | const`[virtual]`

Implement border drawing for the row labels.

Implements wxGridCornerHeaderRenderer.

|  | [ top ]